Bug 1314462 - Node Reinitialization button
Node Reinitialization button
Status: VERIFIED
Product: Red Hat Storage Console
Classification: Red Hat
Component: UI (Show other bugs)
2
Unspecified Unspecified
unspecified Severity medium
: ---
: 2
Assigned To: Sankarshan Mukhopadhyay
Martin Bukatovic
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-03 11:48 EST by Lubos Trilety
Modified: 2016-07-25 10 EDT (History)
3 users (show)

See Also:
Fixed In Version: rhscon-ceph-0.0.23-1.el7scon.x86_64, rhscon-core-0.0.24-1.el7scon.x86_64, rhscon-ui-0.0.39-1.el7scon.noarch
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot 1: View and Accept Hosts page (112.34 KB, image/png)
2016-07-25 10:05 EDT, Martin Bukatovic
no flags Details

  None (edit)
Description Lubos Trilety 2016-03-03 11:48:08 EST
Description of problem:
Every node in Hosts list has Reinitialization button available and enabled even those for which the initialization ends successfully. For those nodes it could lead to some not pretty behaviour especially when there some pool with data on them.

Version-Release number of selected component (if applicable):
rhscon-core-0.0.8-10.el7.x86_64
rhscon-ui-0.0.19-1.el7.noarch
rhscon-ceph-0.0.6-10.el7.x86_64

How reproducible:
100%

Steps to Reproduce:
1. Click on 'Accept' button for some un-managed node
2. Wait till the node is accepted and initialized. Check if Reinitialize button is available for the host.

Actual results:
Node Reinitialization could be invoked again even when the node is successfully initialized.

Expected results:
Node re-initialization should be available only for those hosts for which the initialization fails.

Additional info:
Comment 2 Dhivya Sivaprakasam 2016-03-09 06:37:06 EST
https://review.gerrithub.io/#/c/265651/
Comment 4 Martin Bukatovic 2016-07-25 10:05:06 EDT
Checking with
=============

On RHSC 2.0 server machine:

rhscon-ceph-0.0.36-1.el7scon.x86_64
rhscon-core-selinux-0.0.36-1.el7scon.noarch
rhscon-core-0.0.36-1.el7scon.x86_64
rhscon-ui-0.0.50-1.el7scon.noarch
ceph-ansible-1.0.5-31.el7scon.noarch
ceph-installer-1.0.14-1.el7scon.noarch

On Ceph storage machines:

rhscon-core-selinux-0.0.36-1.el7scon.noarch
rhscon-agent-0.0.16-1.el7scon.noarch

Verification
============

Only machines which failed during initialization task are shown with
reinitialize button.

>> VERIFIED
Comment 5 Martin Bukatovic 2016-07-25 10:05 EDT
Created attachment 1183814 [details]
screenshot 1: View and Accept Hosts page

Attaching evidence of verification.

Note You need to log in before you can comment on or make changes to this bug.